Page MenuHomePhabricator

[SPIKE] What approaches have people/communities done to make it easier to start new discussion threads?
Closed, ResolvedPublic

Description

Some pages and Wikipedias have implemented new workflows and affordances to make it easier for people, across experience levels, to start new discussion threads.

This task is about understanding and documenting these different approaches so we can identify the design patterns we ought to consider incorporating into the workflow we will design in T243248.

Slide components

For each intervention listed in "Interventions to explore" we are curious to know the following...

  • What does the intervention look like?
  • How does the intervention work?
  • What problem(s) do you think the intervention is intended to solve?
  • What do you think we can learn from this intervention?
  • What patterns do you notice among the interventions listed?

Interventions to explore

The research we conducted surfaced a series of interventions wikis have implemented to make it easier for people to start new discussions on talk pages. These "interventions" are listed here:

InterventionLink
Additional links elsewhere on the page"Ajouter un sujet" (bottom of fr.wiki talk pages), + (bottom of some nl.wiki talk pages)
Large blue buttons at the top of the page with custom calls to action"Ask a question" (en.wiki), "New message" (cs.wiki), "Make a new request" (fr.wiki),
"New section" form is preloaded with a template/instructions"Request to administrators" (fr.wiki), "Request for immediate deletion" (fr.wiki), see T250768#6073965 for more examples
Links at the top of the page"Click here to ask a question" (nl.wiki), "Start a new topic" (~550 people are using this on en.wiki)
Instructions within new section form"You are going to request the immediate deletion..." (fr.wiki), "Instructions for discussion" (cs.wiki)

Open questions

  • What – if any – user testing should we conduct to better understand how effective these workflows and affordances are at making the process for starting new conversations easier and more intuitive?

Done

  • A slide deck containing the "Slide components" above
  • All "Open questions" above are resolved

Event Timeline

ppelberg created this task.Apr 9 2020, 1:13 AM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. Β· View Herald TranscriptApr 9 2020, 1:13 AM
ppelberg updated the task description. (Show Details)Apr 10 2020, 6:09 PM

Update: 10-April
Notes from the conversation @iamjessklein and I had this morning...

  • Before doing any testing beyond what's described in T247485, we're going to catalog different approaches other pages/wikis are taking to make it easier for people to start new discussions
  • Once we've cataloged these interventions, we will decide whether it is necessary to test them to see how effective they are at resolving the issues that surfaced in our previous initial control tests: T243251 & T247485

The above is reflected in question I've added to the "Open questions" section of this task's description: "What – if any – user testing should we conduct to better understand how effective these workflows and affordances are at making the process for starting new conversations easier and more intuitive?"

In standup it was determined @iamjessklein needs a comprehensive list of of affordances. @Whatamidoing-WMF is going to add some screenshots of examples to meet this requirement.

This is at the bottom of some pages at nlwiki:

Additionally, @ppelberg will add to the list of affordances to pattern match and investigate with the mockups. However, Jess should continue to move forward with the mock ups.

This is on the last section heading of talk pages at dewiki, Meta-Wiki, and some other wikis. This is probably the most common "extra" approach on the wikis.

JTannerWMF added a subscriber: iamjessklein.

French Wikipedia has a small link in the lower right corner:

Unlike some of the others, there's no translation for this.

Lofhi added a subscriber: Lofhi.EditedApr 13 2020, 5:46 PM

I want to share that some important pages on frwiki use a preloaded template to start a new discussion thread.

For exemple, the page to formulate a request to the administrators has a button Formuler une nouvelle requΓͺte. The preloaded template is used by bots to archive the discussions.

Whatamidoing-WMF added a comment.EditedApr 13 2020, 6:33 PM

Some editors, such as this one at cswiki, have put buttons at the top of their user talk pages, which leads to ?action=edit&section=new

This page uses https://en.wikipedia.org/wiki/Template:Usercomment at the top, near the default "New section" tab.

ppelberg updated the task description. (Show Details)Apr 14 2020, 1:48 AM

I've posted a request for more example to the New discussion project page and I will mention this "ask" in our next Talk pages project/Updates that will get posted early next week, maybe sooner: https://www.mediawiki.org/wiki/Topic:Vknaivoxgqnnq425

I want to share that some important pages on frwiki use a preloaded template to start a new discussion thread.

For exemple, the page to formulate a request to the administrators has a button Formuler une nouvelle requΓͺte. The preloaded template is used by bots to archive the discussions.

I'm glad you raised this issue, @Lofhi. Here is a task for us to explore how the improvements we are proposing to the new discussion workflow will relate to preloaded templates: T250768.

Next step: 21-April

ppelberg updated the task description. (Show Details)Apr 22 2020, 1:39 AM

Next step: 21-April

I've updated the task description to include all of the interventions that have surfaced in our research. These interventions can be found in the "Interventions to explore" section.

ppelberg reassigned this task from ppelberg to iamjessklein.Apr 22 2020, 1:40 AM
ppelberg moved this task from πŸ‘€ Needs PM Input to πŸ“’ To Do on the Editing Design board.
JTannerWMF moved this task from Incoming to Design on the Editing-team board.
ppelberg closed this task as Resolved.May 6 2020, 1:06 AM